Update linkFiles.sh

This commit is contained in:
Santiago Lo Coco 2022-01-19 16:31:32 -03:00
parent 39a4fe78ac
commit 6ad9cab149
1 changed files with 9 additions and 4 deletions

View File

@ -45,15 +45,15 @@ linkFile() {
loopThroughFiles() { loopThroughFiles() {
SADEDOT=$(pwd -P) SADEDOT=$(pwd -P)
DOTFILES="$SADEDOT/../dotfiles" DOTFILES="$SADEDOT/dotfiles"
DOTFILES_CONFIG="$DOTFILES/.config" DOTFILES_CONFIG="$DOTFILES/.config"
DOTFILES_LOCAL="$DOTFILES/.local" DOTFILES_LOCAL="$DOTFILES/.local"
DOTFILES_ICONS="$DOTFILES/.icons" DOTFILES_ICONS="$DOTFILES/.icons"
DOTFILES_SSH="$DOTFILES/.ssh" DOTFILES_SSH="$DOTFILES/.ssh"
local IFS=$'\n' local IFS=$'\n'
for srcFile in $(find -H "$DOTFILES" -not -path '*.git' -not -path '*.config*' -not -path '*.ssh*' -not -path '*.icons*' -not -path '*.local*' -not -path '*other*'); do for srcFile in $(find -H "$DOTFILES" -not -path '*.git*' -not -path '*.config*' -not -path '*.ssh*' -not -path '*.icons*' -not -path '*.local*' -not -path '*other*'); do
if [ "$(basename "${srcFile}")" = "sadedot" ] || [ "$(basename "${srcFile}")" = "dotfiles" ]; then if [ "$(basename "${srcFile}")" = "dotfiles" ]; then
continue continue
fi fi
@ -99,7 +99,7 @@ runDetachedScript() {
source scripts/common.sh source scripts/common.sh
setDialogBox "$1" setDialogBox "$1"
DOTFILES_OTHER=$(pwd -P)/../dotfiles/other DOTFILES_OTHER=$(pwd -P)/dotfiles/other
local IFS=$'\n' local IFS=$'\n'
for srcFile in $(find -H "$DOTFILES_OTHER"); do for srcFile in $(find -H "$DOTFILES_OTHER"); do
@ -119,7 +119,12 @@ runDetachedScript() {
} }
runScript() { runScript() {
lastFolder=$(pwd -P)
cd .. || { echo "Couldn't cd into parent folder." 1>&2 && exit 1; }
loopThroughFiles loopThroughFiles
cd "$lastFolder" || { echo "Couldn't cd into '$lastFolder'." 1>&2 && exit 1; }
} }
runScript runScript